gnutls_cipher_tag(3)

NAME
gnutls_cipher_tag - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_tag(gnutls_cipher_hd_t handle, void * tag, size_t tag_size);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

void * tag
    will hold the tag

size_t tag_size
    The length of the tag to return

DESCRIPTION
This function operates on authenticated encryption with associated data (AEAD) ciphers and will return the output tag.

RETURNS
Zero or a negative error code on error.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/